Foreman - Tracker #27155

Implement CLI and API endpoints for GCE Compute Resource
06/26/2019 07:21 AM - Kavita Gaikwad

Status: Closed % Done: 0%
Priority: Normal

Assignee: Kavita Gaikwad

Category: Compute resources - GCE

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1721848 Red Hat JIRA:
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1721848

- Description of problem:

Looks like the GCE Compute Resource creation from APl and CLI isn't possible for now as the options to create the GCE CR are not
available from those endpoints.

CLI: No options for GCE CR:

1. hammer -u admin -p changeme compute-resource create --help

API: No options for GCE CR:

https://&lt;server fgdn&gt;/apidoc/v2/compute_resources/create.html

- Version-Release number of selected component (if applicable):
Satellite 6.6 snap 7

- How reproducible:
Always

- Steps to Reproduce:
1. Attempt to create a GCE Compute Resource from CLI/ API.

- Actual results:
No options/fields to create GCE CR from APl / CLI as said in the description of this bug.

- Expected results:
Options/fields to create GCE CR from API/CLI should be available.

Additional info:

Related issues:

Related to Hammer CLI - Tracker #27163: Implement CLI endpoints for GCE Compu... Resolved
Related to Foreman - Bug #27338: Fix API endpoints for GCE Compute Resource Closed
History

#1 - 06/26/2019 07:22 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#2 - 06/26/2019 10:46 AM - Kavita Gaikwad
- Related to Tracker #27163: Implement CLI endpoints for GCE Compute Resource added

#3 - 07/18/2019 10:55 AM - Kavita Gaikwad

05/18/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1721848
https://&lt;server_fqdn&gt;/apidoc/v2/compute_resources/create.html

- Related to Bug #27338: Fix APl endpoints for GCE Compute Resource added

#4 - 07/19/2019 10:42 AM - Kavita Gaikwad
- Tracker changed from Bug to Tracker

- % Done setto 0

#5 - 08/01/2019 01:30 PM - Kavita Gaikwad

- Status changed from New to Closed

Both Foreman and Hammer side issues are resolved and closed.
